Subject: Re: [patch -mainline] fm10k: drop upper bits of VLAN ID

From: Dan Carpenter <[email-masked]>
Date: Fri, 30 Jan 2015 13:50:38 +0300

On Fri, Jan 30, 2015 at 11:41:27AM +0300, Dan Carpenter wrote:
> Static checkers complain that the shifts in "(vid << 4) >> 4" perfectly
> cancel each other out and the code is a no-op.  "vid" is a u16.  The
> comment says that the intention here is to drop the upper bits so I have
> added a cast to "u16" to do that.
> 
> Fixes: 401b5383c6c9 ('fm10k: Add support for configuring PF interface')
> Signed-off-by: Dan Carpenter <[email-masked]>

Oh...  Rasmus Villemoes already fixed this.

regards,
dan carpenter

------------------------------------------------------------------------------
Dive into the World of Parallel Programming. The Go Parallel Website,
sponsored by Intel and developed in partnership with Slashdot Media, is your
hub for all things parallel software development, from weekly thought
leadership blogs to news, videos, case studies, tutorials and more. Take a
look and join the conversation now. http://goparallel.sourceforge.net/
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired